Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.config
Class ConfigurationLoader

    java.lang.Object
      mx4j.tools.config.ConfigurationLoader

All Implemented Interfaces:
  ConfigurationLoaderMBean, javax.management.MBeanRegistration

public class ConfigurationLoader
extends java.lang.Object
implements ConfigurationLoaderMBean, javax.management.MBeanRegistration

Version:
  $Revision: 1.3 $

Constructor Summary
`ConfigurationLoader()`
`ConfigurationLoader(ConfigurationBuilder builder)`
`ConfigurationLoader(javax.management.MBeanServer server)`
`ConfigurationLoader(javax.management.MBeanServer server, ConfigurationBuilder builder)`

Method Summary
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean registered)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`
`void` | `shutdown()`
`void` | `startup(java.io.Reader source)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationLoader

    public ConfigurationLoader()

### ConfigurationLoader

    public ConfigurationLoader(ConfigurationBuilder builder)

### ConfigurationLoader

    public ConfigurationLoader(javax.management.MBeanServer server)

### ConfigurationLoader

    public ConfigurationLoader(javax.management.MBeanServer server,
                               ConfigurationBuilder builder)

Method Detail

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)
                                            throws java.lang.Exception

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception`

### postRegister

    public void postRegister(java.lang.Boolean registered)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

### startup

    public void startup(java.io.Reader source)
                 throws ConfigurationException

  Specified by:
    `startup` in interface `ConfigurationLoaderMBean`
  Throws:
    `ConfigurationException`

### shutdown

    public void shutdown()
                  throws ConfigurationException

  Specified by:
    `shutdown` in interface `ConfigurationLoaderMBean`
  Throws:
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.